package hw.tagApi.service.constant;

/**
 * API常量类
 *
 * @author Yinq
 * @date 2025-04-15
 */
public class ApiConstants {

    /**
     * 数据库状态
     */
    public static final String DATA_STATUS = "00";
    /**
     * 数据导入
     */
    public static final String DATA_IMPORT = "10";

    /**
     * 数据查询
     */
    public static final String DATA_QUERY = "20";
    /**
     * 数据导出
     */
    public static final String DATA_EXPORT = "30";

    /**
     * 导入中
     */
    public static final String IMPORTING = "导入中";
    /**
     * 系统错误
     */
    public static final String SYSTEM_ERROR = "系统错误";

    /**
     * 搜索中
     */
    public static final String SEARCHING = "搜索中";
    /**
     * 搜索超时
     */
    public static final String SEARCH_TIMEOUT = "搜索超时";

    /**
     * 导出中
     */
    public static final String EXPORTING = "导出中";


    public static final String SUCCESS = "SUCCESS";
    public static final String FAILED = "FAILED";

    public static class ImportStatus {
        public static final String IMPORT_SUCCESS = "IMPORT_SUCCESS";
        public static final String IMPORT_FAILED = "IMPORT_FAILED";
    }

    public static class ExportStatus {
        public static final String EXPORT_SUCCESS = "EXPORT_SUCCESS";
        public static final String EXPORT_FAILED = "EXPORT_FAILED";
    }

    public static class SearchStatus {
        public static final String SEARCH_SUCCESS = "SEARCH_SUCCESS";
        public static final String NO_RECORD = "NO_RECORD";
    }
} 