package hw.tagApi.service.service;

/**
 * 云文档服务接口
 *
 * @author Yinq
 * @date 2025-04-15
 */
public interface IKDocsService {
    
    /**
     * 获取系统状态
     *
     * @return 系统状态
     */
    String getSystemStatus();

    /**
     * 导入数据
     *
     * @param data 待导入的数据
     * @return 导入结果
     */
    String importData(String data);

    /**
     * 删除数据
     *
     * @param id 数据ID
     * @return 删除结果
     */
    String deleteData(String id);

    /**
     * 查询数据
     *
     * @param query 查询条件
     * @return 查询结果
     */
    String queryData(String query);

    /**
     * 导出数据
     *
     * @param query 导出条件
     * @return 导出结果
     */
    String exportData(String query);
}
